summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Arun Prasannan2010-05-11 20:00:26 +0200
committer Robby Workman2010-05-11 20:00:26 +0200
commitc83673694faca217c2926178d93b34facfba698c (patch)
treed5ad4aaae772f92e8dc403b1c5ccfd2bec030ec8 /development
parent582038ec65f4aafcf4847ef8fe5a8c1b1198941b (diff)
downloadslackbuilds-c83673694faca217c2926178d93b34facfba698c.tar.gz
development/ketchup: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/ketchup/README7
-rw-r--r--development/ketchup/ketchup.SlackBuild63
-rw-r--r--development/ketchup/ketchup.info8
-rw-r--r--development/ketchup/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/development/ketchup/README b/development/ketchup/README
new file mode 100644
index 0000000000..5913e818bb
--- /dev/null
+++ b/development/ketchup/README
@@ -0,0 +1,7 @@
+Ketchup is a python tool for updating or switching between
+versions of the Linux kernel source. It can:
+ * find the latest versions of numerous KernelTrees
+ * calculate which patches are needed to move to that version
+ * download any patches or tarballs that aren't cached
+ * check GPG signatures where available
+ * apply and unapply patches to get the desired result
diff --git a/development/ketchup/ketchup.SlackBuild b/development/ketchup/ketchup.SlackBuild
new file mode 100644
index 0000000000..69f4988e71
--- /dev/null
+++ b/development/ketchup/ketchup.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for Ketchup
+
+# Copyright (C) 2007 Arun Prasannan <polar@arunprasannan.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# No additional license terms :-)
+
+PRGNAM=ketchup
+VERSION=0.9.8
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+install -D -m 0755 ketchup $PKG/usr/bin/ketchup
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a contrib $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/man/man1
+cat ketchup.1 | gzip -9c > $PKG/usr/man/man1/ketchup.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/ketchup/ketchup.info b/development/ketchup/ketchup.info
new file mode 100644
index 0000000000..8060a4caff
--- /dev/null
+++ b/development/ketchup/ketchup.info
@@ -0,0 +1,8 @@
+PRGNAM="ketchup"
+VERSION="0.9.8"
+HOMEPAGE="http://www.selenic.com/ketchup/wiki/index.cgi/FrontPage"
+DOWNLOAD="http://www.selenic.com/ketchup/ketchup-0.9.8.tar.bz2"
+MD5SUM="6fbe53beac455245e1e8ae92acdccbcc"
+MAINTAINER="Arun Prasannan"
+EMAIL="polar@arunprasannan.com"
+APPROVED="rworkman"
diff --git a/development/ketchup/slack-desc b/development/ketchup/slack-desc
new file mode 100644
index 0000000000..56e0bd9e87
--- /dev/null
+++ b/development/ketchup/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ketchup: ketchup (tool for updating or switching between kernel versions)
+ketchup:
+ketchup: Ketchup is a tool for updating or switching between versions of
+ketchup: the Linux kernel source. It can:
+ketchup:
+ketchup: * find the latest versions of numerous KernelTrees
+ketchup: * calculate which patches are needed to move to that version
+ketchup: * download any patches or tarballs that aren't cached
+ketchup: * check GPG signatures where available
+ketchup: * apply and unapply patches to get the desired result
+ketchup: